#!/bin/bash

#create a script for printing files which will display line numbers as well

#argument check
if [ $# -ne 1 ]; then
   echo "Exactly one argument is needed, run $0 file-path"
   exit 1
fi

#check if the provided argument is a file

if ! [ -f "$1" ]; then
   echo "File you have specified doesn't exist"
   exit 2
fi

FILENAME=$1
COUNT=1

cat "$FILENAME" |
while read line
do
   echo "$COUNT: $line"
   let COUNT++
done
